Loading...
Searching...
No Matches
Extended vCPU support
vCPU Support Library

Extended vCPU handling functionality. More...

Collaboration diagram for Extended vCPU support:

## Functions

int | l4vcpu_ext_alloc (l4_vcpu_state_t **vcpu, l4_addr_t *ext_state, l4_cap_idx_t task, l4_cap_idx_t regmgr) L4_NOTHROW
| Allocate state area for an extended vCPU.

## Detailed Description

Extended vCPU handling functionality.

## Function Documentation

## l4vcpu_ext_alloc()

int l4vcpu_ext_alloc | ( | l4_vcpu_state_t ** | vcpu,
|  | l4_addr_t * | ext_state,
|  | l4_cap_idx_t | task,
|  | l4_cap_idx_t | regmgr )

Allocate state area for an extended vCPU.

Parameters

  [out] | vcpu | Allocated vcpu-state area.
  [out] | ext_state | Allocated extended vcpu-state area.
  | task | Task to use for allocation.
  | regmgr | Region manager to use for allocation.

Returns
  0 for success, error code otherwise

References L4_CV, L4_INLINE, and L4_NOTHROW.